function reader.main (this)



group = 0xA8FBD372



 pos = reader:entries_GetHeadPosition()

 while pos~=0 do

  entry,pos = reader:entries_GetNext(pos)

  T,G,I = reader:entry_GetTGI(entry)

  if (G <= 0) then

   G= G+4294967296 

  end

  if (G == group) then



-- Break after the first lot for testing, delete the "--" to make functional.

-- group = 0



-- Find important information

   exemplar =  reader:ex_Decode(entry)

   proppos = reader:exprop_GetHeadPosition(exemplar)

   while proppos~=0 do

    exprop, proppos = reader:exprop_GetNext(exemplar,proppos)

    desc,descname = reader:exprop_GetDesc(exprop)

    if (desc < 0) then

     desc = desc + 4294967296

    end 

    if (desc == 0x27812837) then -- Stage

     stageStr = reader:exprop_GetValueStr(exprop)

     stageInt = tonumber(stageStr, 16)



    elseif (desc ==0x4A4A88F0) then -- Roads

     roadStr = reader:exprop_GetValueStr(exprop)



    elseif (desc == 0x88EDC790) then -- LotSize

     lotSize = reader:exprop_GetValueStr(exprop)



    elseif (desc == 0x88EDC796) then -- Purpose

     purposeType = reader:exprop_GetValueStr(exprop)



    elseif (desc == 0x88EDC795) then -- Wealth

     wealthStr = reader:exprop_GetValueStr(exprop)



    end -- Done looking for desc

   end -- Done with properties

-- Make the Name String

   exemplarName = purposeType



   if (purposeType ~= "I-R" and purposeType ~= "I-D" and purposeType ~= "I-M" and purposeType ~= "I-H") then

    exemplarName = string.format('%s%s', exemplarName, wealthStr)

   end



   if (stageInt < 10) then exemplarName = string.format('%s%s', exemplarName, "0") end

   lotSize = string.gsub(lotSize, "0x", "")

   lotSize = string.gsub(lotSize, "," , "x")

   exemplarName = string.format('%s%s%s%s%s%s', exemplarName, stageInt, "_", lotSize, "_", roadStr)



-- Go to the top of the exemplar, and set the exemplarName



   proppos = reader:exprop_GetHeadPosition(exemplar)

   while proppos~=0 do

    exprop, proppos = reader:exprop_GetNext(exemplar,proppos)

    desc,descname = reader:exprop_GetDesc(exprop)

    if (desc < 0) then

     desc = desc + 4294967296

    end 

    if (desc == 0x00000020 and (purposeType ~= "0x00" or purposeType ~= "") then -- ExemplarName Property

     reader:exprop_SetValue(exprop, exemplarName)

    end

   end

   reader:ex_Encode(entry,exemplar)

  end -- Done with group

 end -- Done with entries

end -- Done

